<?php defined('C5_EXECUTE') or die("Access Denied.");
$al = Core::make('helper/concrete/asset_library');
$color = Core::make('helper/form/color');
$pkg = Package::getByHandle('ez_recipe');
$pkgVersion = $pkg->getPackageVersion();
$addSelected = true;
?>
<p>
<?php print Core::make('helper/concrete/ui')->tabs(array(
	array('form-gen', t('General'), $addSelected), array('form-ingredients', t('Ingredients')), array('form-steps', t('Instructions')), array('form-nutrition', t('Nutrition')), array('form-design', t('Design')), array('form-help', '<i class="fa fa-question-circle"></i>')
));?>
</p>
<!-- General Info Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-gen">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php  echo $form->label("recipeTitle",t("Recipe Title"));?>
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-bookmark"></i></div>
					<?php  echo $form->text("recipeTitle",$recipeTitle); ?>
				</div>
			</div>
			<div class="form-group">
				<?php  echo $form->label("recipeDesc",t("Recipe Description"));?>
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-pencil"></i></div>
					<?php  echo $form->textarea("recipeDesc",$recipeDesc); ?>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<div class="input-group">        
					<div class="input-group-addon"><i class="fa fa-pie-chart"></i> <?php echo t('Servings')?></div>
					<?php echo $form->text('serves', $serves?$serves:"1 - 3"); ?>
				</div>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-clock-o"></i> <?php echo t('Prep Time')?></div>
					<?php  echo $form->text("prepTime",$prepTime?$prepTime:"20 mins"); ?>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Ingredients Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-ingredients">
	<div class="row">
		<div class="col-xs-12">
			<p style="color: #ff0000;"><?php echo t('TIP: Create an unordered list, and EZ Recipe will automatically create a two-column list of ingredients!')?></p>
			<div class="form-group">
				<label><i class="fa fa-apple"></i> <?php echo t('Ingredients') ?></label>
				<?php echo Core::make('editor')->outputBlockEditModeEditor($view->field('ingredients'), $ingredients); ?>
			</div>
		</div>
	</div>
</div>
<!-- Instructions Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-steps">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<label><i class="fa fa-list"></i> <?php echo t('Instructions') ?></label>
				<?php echo Core::make('editor')->outputBlockEditModeEditor($view->field('steps'), $steps); ?>
			</div>
		</div>
	</div>
</div>
<!-- Nutrition Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-nutrition">
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<div class="input-group">        
					<div class="input-group-addon"><i class="fa fa-fire"></i> <?php echo t('Calories')?></div>
					<?php echo $form->number('calories', $calories?$calories:"100", array('min'=>0)); ?>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<p><?php echo t('Percent Daily Value')?></p>
			<div class="form-group">
				<div class="input-group">        
					<div class="input-group-addon"><i class="fa fa-cutlery"></i> <?php echo t('Carbs')?></div>
					<?php echo $form->number('carbs', $carbs?$carbs:"1", array('min'=>0)); ?>
					<div class="input-group-addon">%</div>
				</div>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<p><?php echo t('Weight')?></p>
			<div class="form-group">
				<div class="input-group">
					<?php  echo $form->text("carbWeight",$carbWeight?$carbWeight:"10g"); ?>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<div class="input-group">        
					<div class="input-group-addon"><i class="fa fa-leaf"></i> <?php echo t('Fiber')?></div>
					<?php echo $form->number('fiber', $fiber?$fiber:"1", array('min'=>0)); ?>
					<div class="input-group-addon">%</div>
				</div>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<div class="input-group">
					<?php  echo $form->text("fiberWeight",$fiberWeight?$fiberWeight:"5g"); ?>
				</div>
			</div>
		</div>
	</div>
		<div class="row">
			<div class="col-xs-12 col-sm-6">
				<div class="form-group">
					<div class="input-group">        
						<div class="input-group-addon"><i class="fa fa-balance-scale"></i> <?php echo t('Fat')?></div>
						<?php echo $form->number('fat', $fat?$fat:"1", array('min'=>0)); ?>
						<div class="input-group-addon">%</div>
					</div>
				</div>
			</div>
			<div class="col-xs-12 col-sm-6">
				<div class="form-group">
					<div class="input-group">
						<?php  echo $form->text("fatWeight",$fatWeight?$fatWeight:"20g"); ?>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-12 col-sm-6">
				<div class="form-group">
					<div class="input-group">        
						<div class="input-group-addon"><i class="fa fa-spinner"></i> <?php echo t('Sodium')?></div>
						<?php echo $form->number('sodium', $sodium?$sodium:"1", array('min'=>0)); ?>
						<div class="input-group-addon">%</div>
					</div>
				</div>
			</div>
			<div class="col-xs-12 col-sm-6">
				<div class="form-group">
					<div class="input-group">
						<?php  echo $form->text("sodiumWeight",$sodiumWeight?$sodiumWeight:"10mg"); ?>
					</div>
				</div>
			</div>
		</div>
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<div class="input-group">        
					<div class="input-group-addon"><i class="fa fa-bolt"></i> <?php echo t('Protein')?></div>
					<?php echo $form->number('protein', $protein?$protein:"1", array('min'=>0)); ?>
					<div class="input-group-addon">%</div>
				</div>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<div class="input-group">
					<?php  echo $form->text("proteinWeight",$proteinWeight?$proteinWeight:"50g"); ?>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Design Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-design">
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Cover Text Color')?></label><br />
				<?php $color->output('evTitleColor', $evTitleColor?$evTitleColor:"#333333");?>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<label class="form-label"><?php echo t('Cover Background Color')?></label><br />
				<?php $color->output('evTitleBgColor', $evTitleBgColor?$evTitleBgColor:"rgba(255,255,255,0.7)", array('showAlpha' => 'true'));?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-sm-6">
			<div class="form-group">
			<?php  echo $form->label("ezeAlign", t("Header Alignment")); ?>
			<?php  echo $form->select("ezeAlign", array("left"=>t("Left Align"), "rightalign"=>t("Right Align"), "centered"=>("Centered")), $ezeAlign?$ezeAlign:"left"); ?>
			</div>
		</div>
		<div class="col-sm-6">
			<div class="form-group">
				<?php  echo $form->label('showNutrition', t('Nutrition Information displayed as'));?>
				<?php  echo $form->select('showNutrition', array("1"=>t("DV + Weight"),"2"=>t("DV Only"),"3"=>t("Weight Only"),"4"=>t('Calories Only'),"5"=>t("Hidden")),$showNutrition);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<?php  echo $form->label("ccm-b-image",t("Cover Image")); ?>
				<div class="input">
				<?php if($fID){ echo $al->image('ccm-b-image', 'fID', t('Choose Image'), ($fID)?File::getByID($fID):""); }
				else { echo $al->image('ccm-b-image', 'fID', t('Choose Image')); }
				?>
				</div>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
			<?php  echo $form->label("bgPosition", t("Background Position")); ?>
			<?php  echo $form->select("bgPosition", array("center center"=>t("Center Center"), "center top"=>t("Center Top"), "center bottom"=>("Center Bottom"), "left top"=>t("Left Top"), "left center"=>t("Left Center"), "left bottom"=>t("Left Bottom"), "right top"=>t("Right Top"), "right center"=>t("Right Center"), "right bottom"=>t("Right Bottom")), $bgPosition?$bgPosition:"center center"); ?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
		<p style="margin: 20px;"><span><strong><?php echo t('Cover Spacing: ')?></strong></span>
			<span class="evHeight_slider"><?php if (isset($evHeight)){ echo $evHeight; } else { echo '100'; } ?></span>px
			<?php echo $form->text('evHeight', $evHeight, array('class'=>'evHeight_slider')); ?>
			<div class="evHeight_slider" style="margin: 0px 30px 0px 30px;"></div>
		</p>
		</div>
	</div>
</div>
<!-- Help Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-help">
	<div class="row">
		<div class="col-xs-12">
			<p><strong><?php echo t('Version: %s', $pkgVersion);?></strong></p>
			<p><a href="http://www.concrete5.org/marketplace/addons/ez-recipe" target="_blank"><?php echo t('Marketplace Page')?></a></p>
			<p><?php echo t('Developed by')?> <a href="https://www.concrete5.org/profile/-/view/11911/" target="_blank">Pine Creative Labs</a></p>
			<hr />
			<p><strong><?php echo t('Recipe Title')?></strong> - <?php echo t('The title of the recipe. Must be 255 characters or less.')?></p>
			<p><strong><?php echo t('Recipe Description')?></strong> - <?php echo t('Brief description of recipe.')?></p>
			<p><strong><?php echo t('Servings')?></strong> - <?php echo t('How many servings does the recipe yield? Example: 1 - 3')?></p>
			<p><strong><?php echo t('Prep Time')?></strong> - <?php echo t('How long does the recipe take to prepare? Example: 1 hour')?></p>
			<p><strong><?php echo t('Ingredients')?></strong> - <?php echo t('Create a formatted list of ingredients. It is best to use the unordered list format.')?></p>
			<p><strong><?php echo t('Instructions')?></strong> - <?php echo t('Describe the process of preparing the recipe. Format as you see fit!')?></p>
			<p><strong><?php echo t('Calories')?></strong> - <?php echo t('Number of calories per serving. Must be whole number.')?></p>
			<p><strong><?php echo t('Percent Daily Value')?></strong> - <?php echo t('Percent (whole number) of daily value per serving.')?></p>
			<p><strong><?php echo t('Weight')?></strong> - <?php echo t('Weight per serving. Example: 10mg')?></p>
			<p><strong><?php echo t('Cover Text Color')?></strong> - <?php echo t('Color of text in cover area.')?></p>
			<p><strong><?php echo t('Cover Background Color')?></strong> - <?php echo t('This can be made semi-transparent.')?></p>
			<p><strong><?php echo t('Header Alignment')?></strong> - <?php echo t('Alignment of text in cover area.')?></p>
			<p><strong><?php echo t('Cover Image')?></strong> - <?php echo t('Select an image for cover area (required).')?></p>
			<p><strong><?php echo t('Background Position')?></strong> - <?php echo t('Position cover image background.')?></p>
			<p><strong><?php echo t('Cover Spacing')?></strong> - <?php echo t('Spacing beneath the cover text area. Range: 0 - 300px.')?></p>
			<p><strong><?php echo t('Nutrition Information displayed as...')?></strong></p>
			<ul><li><?php echo t('Hidden - hides nutrition info area')?></li><li><?php echo t('DV + Weight - Display all information')?></li>
			<li><?php echo t('DV Only - Show only percent daily value')?></li><li><?php echo t('Weight Only - Show only weight per serving')?></li>
			<li><?php echo t('Calories Only - Show only the calories, but no other nutrition info.')?></li>
			</ul>
		</div>
	</div>
</div>

<!-- Activate Each Slider Control -->
<script type="text/javascript">
$('input.evHeight_slider').hide();
$('div.evHeight_slider').
  slider(
    { min  : 0,
      step : 10,
      max  : 300,
      value: parseInt($('span.evHeight_slider').text(),10),
      slide: function(event, uiobj) {
               $('span.evHeight_slider').text(uiobj.value);
               $('input.evHeight_slider').val(uiobj.value);
             }
    });
	$(document).ready(function () {
        $('#ccm-block-form .nav-tabs a').on('click' ,function() {
            $('#ccm-block-form').trigger('click');
        });
    })
</script>
